javax.xml.registry

## Interface FindQualifier

-     public interface FindQualifier

  FindQualifier provides various constants that identify options that effect find method behavior. A JAXR provider may silently ignore any qualifiers marked as optional. A JAXR provider must support qualifiers not marked optional.
  See Also:
    `BusinessQueryManager`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `AND_ALL_KEYS`
    `static String` | `CASE_SENSITIVE_MATCH` Specifies a hint to queries that they should case-sensitive match when comparing String values.
    `static String` | `COMBINE_CLASSIFICATIONS` Maps to UDDI combineCategoryBags.
    `static String` | `EXACT_NAME_MATCH` Specifies a hint to queries that they should use exact (case-insensitive) match when comparing String values.
    `static String` | `OR_ALL_KEYS` Specifies a hint to queries that the candidate set of objects matching the query should include any object that is classified by any one of the taxonomy values specified in any of the Classification for the query.
    `static String` | `OR_LIKE_KEYS` Specifies a hint to queries that when multiple taxonomy values from the same ClassificationScheme are specified in the Classifications for the query then the candidate set of objects matching the query should include any object that is classified by any one of the taxonomy values.
    `static String` | `SERVICE_SUBSET` Maps to UDDI serviceSubset.
    `static String` | `SORT_BY_DATE_ASC` Specifies a hint to queries that they should sort results by creation/modification date in ascending order.
    `static String` | `SORT_BY_DATE_DESC` Specifies a hint to queries that they should sort results by creation/modification date in descending order.
    `static String` | `SORT_BY_NAME_ASC` Specifies a hint to queries that they should sort results by Name in ascending alpha-numeric order.
    `static String` | `SORT_BY_NAME_DESC` Specifies a hint to queries that they should sort results by Name in descending alpha-numeric order.
    `static String` | `SOUNDEX` Optional qualifier that allows matching strings by their sounds.

- - ### Field Detail

    - #### EXACT_NAME_MATCH

          static final String EXACT_NAME_MATCH

      Specifies a hint to queries that they should use exact (case-insensitive) match when comparing String values.
      See Also:
        Constant Field Values

    - #### CASE_SENSITIVE_MATCH

          static final String CASE_SENSITIVE_MATCH

      Specifies a hint to queries that they should case-sensitive match when comparing String values.
      See Also:
        Constant Field Values

    - #### SORT_BY_NAME_ASC

          static final String SORT_BY_NAME_ASC

      Specifies a hint to queries that they should sort results by Name in ascending alpha-numeric order.
      See Also:
        Constant Field Values

    - #### SORT_BY_NAME_DESC

          static final String SORT_BY_NAME_DESC

      Specifies a hint to queries that they should sort results by Name in descending alpha-numeric order.
      See Also:
        Constant Field Values

    - #### SORT_BY_DATE_ASC

          static final String SORT_BY_DATE_ASC

      Specifies a hint to queries that they should sort results by creation/modification date in ascending order.
      See Also:
        Constant Field Values

    - #### SORT_BY_DATE_DESC

          static final String SORT_BY_DATE_DESC

      Specifies a hint to queries that they should sort results by creation/modification date in descending order.
      See Also:
        Constant Field Values

    - #### OR_LIKE_KEYS

          static final String OR_LIKE_KEYS

      Specifies a hint to queries that when multiple taxonomy values from the same ClassificationScheme are specified in the Classifications for the query then the candidate set of objects matching the query should include any object that is classified by any one of the taxonomy values. For example, if a query includes Classifications with both Japan and Korea taxonomy values under the geography ClassificationScheme, then it should match objects that are classified by either Japan or Korea ClassificationNodes.
      See Also:
        Constant Field Values

    - #### OR_ALL_KEYS

          static final String OR_ALL_KEYS

      Specifies a hint to queries that the candidate set of objects matching the query should include any object that is classified by any one of the taxonomy values specified in any of the Classification for the query.
      See Also:
        Constant Field Values

    - #### COMBINE_CLASSIFICATIONS

          static final String COMBINE_CLASSIFICATIONS

      Maps to UDDI combineCategoryBags. Required for JAXR UDDI providers, optional for all others.
      See Also:
        Constant Field Values

    - #### SERVICE_SUBSET

          static final String SERVICE_SUBSET

      Maps to UDDI serviceSubset. Required for JAXR UDDI providers, optional for all others.
      See Also:
        Constant Field Values

    - #### AND_ALL_KEYS

          static final String AND_ALL_KEYS

      See Also:
        Constant Field Values

    - #### SOUNDEX

          static final String SOUNDEX

      Optional qualifier that allows matching strings by their sounds.
      See Also:
        Constant Field Values

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.